Package org.silverpeas.components.resourcesmanager

# Class ResourcesManagerInstanceRoutingMap

java.lang.Object
org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap
org.silverpeas.components.resourcesmanager.ResourcesManagerInstanceRoutingMap

All Implemented Interfaces:
  `org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap`

@Technical @Bean @Named public class ResourcesManagerInstanceRoutingMap extends org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap
Implementation of the routing map for the resources manager as the way to render the view page of a given resource or reservation is specific to this application.

Author:
  mmoquillon

- ## Field Summary

  ### Fields inherited from interface org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap

  `NAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourcesManagerInstanceRoutingMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `getViewPage(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)`

  ### Methods inherited from class org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap

  `getBaseForPages, getEditionPage, getHomePage, getInstanceId, getPermalink, getWebResourceUriBuilder, newUriBuilder, uriBuilder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourcesManagerInstanceRoutingMap

    public ResourcesManagerInstanceRoutingMap()

- ## Method Details

  - ### getViewPage

    public URI getViewPage(org.silverpeas.core.contribution.model.ContributionIdentifier contributionIdentifier)
    Specified by:
      `getViewPage` in interface `org.silverpeas.core.web.mvc.route.ComponentInstanceRoutingMap`
    Overrides:
      `getViewPage` in class `org.silverpeas.core.web.mvc.route.AbstractComponentInstanceRoutingMap`